﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TownGenerator
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length < 3 || !args[0].Equals("mesto", StringComparison.OrdinalIgnoreCase))
            {
                Console.WriteLine("Špatně zadané parametry.");
                return;
            }
            int width = Int32.Parse(args[1]);
            int height = Int32.Parse(args[2]);
            
            Console.WriteLine("Generování města...");

            TownBuilder builder = new TownBuilder();
            Town town = builder.Build(width, height);
            Writer writer = new Writer();
            writer.SaveImage(town);
            writer.WriteFile(town);

            Console.WriteLine("Město bylo vygenerováno.");
        }
    }
}
