package randomcitygenerator;

/**
 *
 * @author Martin
 */
public class BlockInfo {
    
    //block size
    public static final int BLOCK_SIZE = 32;
    
    //#################################################
    
    /**
     * 
     *  0   3   6   9    12   15
     *  1   4   7   10   13   16
     *  2   5   8   11   14   17
     * 
     */
    
    public static final int FROM_DOWN_TO_LEFT = 3;
    
    public static final int FROM_DOWN_TO_RIGHT = 0;
    
    public static final int FROM_UP_TO_LEFT = 4;
    
    public static final int FROM_UP_TO_RIGHT = 1;
    
    public static final int CROSSROAD = 2;
    
    public static final int HORIZONTAL_STRAIGHT = 7;
    
    public static final int VERTICAL_STRAIGHT = 6;
    
    public static final int LEFT_END = 5;
    
    public static final int RIGHT_END = 8;
    
    public static final int UP_END = 14;
    
    public static final int DOWN_END = 11;
    
    public static final int VERTICAL_STRAIGHT_AND_LEFT = 9;
    
    public static final int VERTICAL_STRAIGHT_AND_RIGHT = 10;
    
    public static final int HORIZONTAL_STRAIGHT_AND_UP = 13;
    
    public static final int HORIZONTAL_STRAIGHT_AND_DOWN = 12;
    
    public static final int BUILDING = 15;
    
    public static final int EMPTY = 16;
    
}
