﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TownGenerator
{
    public class Node : IEquatable<Node>
    {

        public Node(int x, int y)
        {
            X = x;
            Y = y;
        }

        public int X { get; }
        public int Y { get; }

        public bool Equals(Node other)
        {
            if (other == null) return false;
            return X == other.X && Y == other.Y;
        }

        public override bool Equals(object obj)
        {
            Node node = obj as Node;
            if (node == null) return false;
            return Equals(node);
        }

        public override int GetHashCode()
        {
            return X ^ Y;
        }

    }
}
